Web lists-archives.com

Re: Request to support wxt terminal ( Re: [ANNOUNCEMENT] Updated: gnuplot-5.2.6-1)




[don't quote email addresses, signatures]

Tatsuro MATSUOKA writes:
> I am glad to hear that gnuplot-5.2.6 for Cygwin is released.  As an
> interactive terminal, gnuplot for Cygwin only x11 terminal  but it is
> old terminal and it was considered to be outdated from gnuplot
> developers.

I mostly use gnuplot in batch mode myself, so I don't really know about
interactive terminals (I don't use the interactive features of the X11
terminal much either).

> For qt terminal, QT5 should be patched but wxt terminal can be
> implemented using dev tools implemented in Cygwin.

Again, if you want that to get fixed, you'll either need to get upstream
QT, the Qt maintainer of Cygwin or (if you happen to have a fix for
Cygwin) the Cygwin maintainers.  I'll happily build with the Qt terminal
if it actually works.

> I ask you to implement wxt terminal gnuplot for Cygwin
>
> Patch indicated below is attached to gnuplot source to avoid ABI
> mismatch waring between gnuplot and wxWidgets.

That's a wxWidget upstream bug, really.  I'm not keen on patching around
that in gnuplot, so my preference is if it was fixed by wxWidgets one
way or the other (and by fixed I don't mean that the fatal error gets
demoted to a warning like some build option for wxWidgets apparently
allows you to do).

Now, I'd be much more excited about that wxWidgets terminal if it
allowed gnuplot to optionally run without X11, do you know if that's
possible?


Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Factory and User Sound Singles for Waldorf rackAttack:
http://Synth.Stromeko.net/Downloads.html#WaldorfSounds

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple